com.ihr.xbrl.om.table.definition

## Class XBRLRuleNode.RuleSet

- java.lang.Object
- - com.ihr.xbrl.om.table.definition.XBRLRuleNode.RuleSet

- Enclosing class:
    XBRLRuleNode

      public static class XBRLRuleNode.RuleSet
      extends java.lang.Object

  The Class RuleSet.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLRuleNode.RuleSet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAspects()` Returns a or bitmap of all aspects defined in this XBRLRuleNode bitmap values are defined in the CommonAspectRule class
    `ConceptAspectInterface` | `getConceptAspectResolver()` if this node defines the concept aspect this method returns the class that resolves the concept aspect otherwise this method returns null.
    `DimensionRuleSet` | `getDimensionResolver()` if this node defines the dimension aspect this method returns the class that resolves the dimension aspect otherwise this method returns null.
    `EntityIdentifierAspectInterface` | `getEntityIdentifierAspectResolver()` if this node defines the entity aspect this method returns the class that resolves the entity aspect otherwise this method returns null.
    `OpenContextComponentRuleSet` | `getNonXDTScenarioAspectResolver()` if this node defines the open context scenario aspect this method returns the class that resolves the open context scenario aspect otherwise this method returns null.
    `OpenContextComponentRuleSet` | `getNonXDTSegmentAspectResolver()` if this node defines the open context segment aspect this method returns the class that resolves the open context segment aspect otherwise this method returns null.
    `PeriodAspectInterface` | `getPeriodAspectResolver()` if this node defines the period aspect this method returns the class that resolves the period aspect otherwise this method returns null.
    `UnitAspectInterface` | `getUnitAspectResolver()` if this node defines the unit aspect this method returns the class that resolves the unit aspect otherwise this method returns null.
    `void` | `resetNode()` Reset node.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLRuleNode.RuleSet

          public XBRLRuleNode.RuleSet()

  - ### Method Detail

    - #### getAspects

          public int getAspects()

      Returns a or bitmap of all aspects defined in this XBRLRuleNode bitmap values are defined in the CommonAspectRule class
      Returns:
        bitmap
      See Also:
        `CommonAspectRule`

    - #### getConceptAspectResolver

          public ConceptAspectInterface getConceptAspectResolver()

      if this node defines the concept aspect this method returns the class that resolves the concept aspect otherwise this method returns null.
      Returns:
        the conceptAspectResolver
      See Also:
        `getAspects()`

    - #### getDimensionResolver

          public DimensionRuleSet getDimensionResolver()

      if this node defines the dimension aspect this method returns the class that resolves the dimension aspect otherwise this method returns null.
      Returns:
        the dimensionResolver
      See Also:
        `getAspects()`

    - #### getPeriodAspectResolver

          public PeriodAspectInterface getPeriodAspectResolver()

      if this node defines the period aspect this method returns the class that resolves the period aspect otherwise this method returns null.
      Returns:
        the periodAspectResolver
      See Also:
        `getAspects()`

    - #### getEntityIdentifierAspectResolver

          public EntityIdentifierAspectInterface getEntityIdentifierAspectResolver()

      if this node defines the entity aspect this method returns the class that resolves the entity aspect otherwise this method returns null.
      Returns:
        the entityIdentifierAspectResolver
      See Also:
        `getAspects()`

    - #### getUnitAspectResolver

          public UnitAspectInterface getUnitAspectResolver()

      if this node defines the unit aspect this method returns the class that resolves the unit aspect otherwise this method returns null.
      Returns:
        the unitAspectResolver
      See Also:
        `getAspects()`

    - #### getNonXDTScenarioAspectResolver

          public OpenContextComponentRuleSet getNonXDTScenarioAspectResolver()

      if this node defines the open context scenario aspect this method returns the class that resolves the open context scenario aspect otherwise this method returns null.
      Returns:
        the NonXDTScenarioAspectResolver
      See Also:
        `getAspects()`

    - #### getNonXDTSegmentAspectResolver

          public OpenContextComponentRuleSet getNonXDTSegmentAspectResolver()

      if this node defines the open context segment aspect this method returns the class that resolves the open context segment aspect otherwise this method returns null.
      Returns:
        the NonXDTSegmentAspectResolver
      See Also:
        `getAspects()`

    - #### resetNode

          public void resetNode()

      Reset node.